<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__mcwdt__functions" kind="group">
    <compoundname>group_mcwdt_functions</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1gab8bd6fb7ec48ef294287c01e179c41df" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__mcwdt__enums_1gac983f45895a641f98b9b887e453a8a5d">cy_en_mcwdt_status_t</ref></type>
        <definition>cy_en_mcwdt_status_t Cy_MCWDT_Init</definition>
        <argsstring>(MCWDT_STRUCT_Type *base, cy_stc_mcwdt_config_t const *config)</argsstring>
        <name>Cy_MCWDT_Init</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__mcwdt__config__t">cy_stc_mcwdt_config_t</ref> const *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>Initializes the MCWDT block. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes the registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a structure that contains component configuration data.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_mcwdt_status_t *base checking result. If the pointer is NULL, returns error.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This API should not be called when the counters are running. Prior to calling this API the counter should be disabled. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="82" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_mcwdt.c" bodystart="53" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="353" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1gacfa316d17f65aea2cf6ae6f078453549" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_MCWDT_DeInit</definition>
        <argsstring>(MCWDT_STRUCT_Type *base)</argsstring>
        <name>Cy_MCWDT_DeInit</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>De-initializes the MCWDT block, returns register values to their default state. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes the registers.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This API should not be called when the counters are running. Prior to calling this API the counter should be disabled. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="111" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_mcwdt.c" bodystart="99" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="354" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1ga90f8d4636fc67fc8abe3bfd87ab521ac" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_MCWDT_Enable</definition>
        <argsstring>(MCWDT_STRUCT_Type *base, uint32_t counters, uint16_t waitUs)</argsstring>
        <name>Cy_MCWDT_Enable</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>counters</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>waitUs</declname>
        </param>
        <briefdescription>
<para>Enables all specified counters. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counters</parametername>
</parameternamelist>
<parameterdescription>
<para>OR of all counters to enable. See the <ref kindref="member" refid="group__group__mcwdt__macros_1gadb87c7b323120f1297143824fd7cded7">CY_MCWDT_CTR0</ref>, CY_MCWDT_CTR1, and CY_MCWDT_CTR2 macros.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>waitUs</parametername>
</parameternamelist>
<parameterdescription>
<para>The function waits for some delay in microseconds before returning, because the counter begins counting after two lf_clk cycles pass. The recommended value is 93 us. </para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Setting this parameter to a zero means No wait. In this case, it is the user's responsibility to check whether the selected counters were enabled immediately after the function call. This can be done by the &lt;a href="group__group__mcwdt__functions.html#group__group__mcwdt__functions_1gaf0a0ff9cf9f6389150122f2e4e0af9b3"&gt;Cy_MCWDT_GetEnabledStatus()&lt;/a&gt; API. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="420" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="406" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="355" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1ga9ecaccda05008638b249cacd1cf9ea9c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_MCWDT_Disable</definition>
        <argsstring>(MCWDT_STRUCT_Type *base, uint32_t counters, uint16_t waitUs)</argsstring>
        <name>Cy_MCWDT_Disable</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>counters</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>waitUs</declname>
        </param>
        <briefdescription>
<para>Disables all specified counters. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure describing registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counters</parametername>
</parameternamelist>
<parameterdescription>
<para>OR of all counters to disable. See the <ref kindref="member" refid="group__group__mcwdt__macros_1gadb87c7b323120f1297143824fd7cded7">CY_MCWDT_CTR0</ref>, CY_MCWDT_CTR1, and CY_MCWDT_CTR2 macros.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>waitUs</parametername>
</parameternamelist>
<parameterdescription>
<para>The function waits for some delay in microseconds before returning, because the counter stops counting after two lf_clk cycles pass. The recommended value is 93 us. </para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Setting this parameter to a zero means No wait. In this case, it is the user's responsibility to check whether the selected counters were disabled immediately after the function call. This can be done by the &lt;a href="group__group__mcwdt__functions.html#group__group__mcwdt__functions_1gaf0a0ff9cf9f6389150122f2e4e0af9b3"&gt;Cy_MCWDT_GetEnabledStatus()&lt;/a&gt; API. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="461" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="447" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="356" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1gaf0a0ff9cf9f6389150122f2e4e0af9b3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_MCWDT_GetEnabledStatus</definition>
        <argsstring>(MCWDT_STRUCT_Type const *base, cy_en_mcwdtctr_t counter)</argsstring>
        <name>Cy_MCWDT_GetEnabledStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__mcwdt__enums_1gaf24fe552bfb229753a1306574961f2a7">cy_en_mcwdtctr_t</ref></type>
          <declname>counter</declname>
        </param>
        <briefdescription>
<para>Reports the enabled status of the specified counter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counter</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of the MCWDT counter. The valid range is [0-2].</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the MCWDT counter: 0 = disabled, 1 = enabled. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="504" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="480" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="357" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1ga4b6d812cb7c3984fd63f087415b24279" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_MCWDT_Lock</definition>
        <argsstring>(MCWDT_STRUCT_Type *base)</argsstring>
        <name>Cy_MCWDT_Lock</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Locks out configuration changes to all MCWDT registers. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="526" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="517" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="358" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1ga1433c7f1fc62caf1c7697b0e2f20fef0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_MCWDT_Unlock</definition>
        <argsstring>(MCWDT_STRUCT_Type *base)</argsstring>
        <name>Cy_MCWDT_Unlock</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Unlocks the MCWDT configuration registers. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="549" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="539" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="359" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1ga7178ccb7c11988aa5597d128bacd9bb3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_MCWDT_GetLockedStatus</definition>
        <argsstring>(MCWDT_STRUCT_Type const *base)</argsstring>
        <name>Cy_MCWDT_GetLockedStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Reports the locked/unlocked state of the MCWDT. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The state of the MCWDT counter: 0 = unlocked, 1 = locked. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="568" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="565" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="360" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1ga6f5ff22771e9c3a5203d154842f4e339" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_MCWDT_SetMode</definition>
        <argsstring>(MCWDT_STRUCT_Type *base, cy_en_mcwdtctr_t counter, cy_en_mcwdtmode_t mode)</argsstring>
        <name>Cy_MCWDT_SetMode</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__mcwdt__enums_1gaf24fe552bfb229753a1306574961f2a7">cy_en_mcwdtctr_t</ref></type>
          <declname>counter</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__mcwdt__enums_1gaa3ab9dd24dfec93a9982f06b5d7f0221">cy_en_mcwdtmode_t</ref></type>
          <declname>mode</declname>
        </param>
        <briefdescription>
<para>Sets the mode of the specified counter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counter</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of the WDT counter. The valid range is [0-2].</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>mode</parametername>
</parameternamelist>
<parameterdescription>
<para>The mode of operation for the counter. See enum typedef cy_en_mcwdtmode_t.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The mode for Counter 2 can be set only to CY_MCWDT_MODE_NONE or CY_MCWDT_MODE_INT.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This API must not be called while the counters are running. Prior to calling this API, the counter must be disabled. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="606" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="594" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="361" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1ga70dfa889ac1ea76ed7dd84149182f634" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__mcwdt__enums_1gaa3ab9dd24dfec93a9982f06b5d7f0221">cy_en_mcwdtmode_t</ref></type>
        <definition>__STATIC_INLINE cy_en_mcwdtmode_t Cy_MCWDT_GetMode</definition>
        <argsstring>(MCWDT_STRUCT_Type const *base, cy_en_mcwdtctr_t counter)</argsstring>
        <name>Cy_MCWDT_GetMode</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__mcwdt__enums_1gaf24fe552bfb229753a1306574961f2a7">cy_en_mcwdtctr_t</ref></type>
          <declname>counter</declname>
        </param>
        <briefdescription>
<para>Reports the mode of the specified counter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counter</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of the WDT counter. The valid range is [0-2].</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current mode of the counter. See enum typedef cy_en_mcwdtmode_t. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="635" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="625" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="362" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1ga77bb788adb7fac2042772b00a61f95cb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_MCWDT_SetClearOnMatch</definition>
        <argsstring>(MCWDT_STRUCT_Type *base, cy_en_mcwdtctr_t counter, uint32_t enable)</argsstring>
        <name>Cy_MCWDT_SetClearOnMatch</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__mcwdt__enums_1gaf24fe552bfb229753a1306574961f2a7">cy_en_mcwdtctr_t</ref></type>
          <declname>counter</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Sets the Clear on match option for the specified counter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counter</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of the WDT counter. The valid range is [0-1].</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The match values are not supported by Counter 2.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>enable</parametername>
</parameternamelist>
<parameterdescription>
<para>Set 0 to disable; 1 to enable.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This API must not be called while the counters are running. Prior to calling this API, the counter must be disabled. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="674" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="661" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="363" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1gab443fb0e7d74e1a038ad24b90fedb22e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_MCWDT_GetClearOnMatch</definition>
        <argsstring>(MCWDT_STRUCT_Type const *base, cy_en_mcwdtctr_t counter)</argsstring>
        <name>Cy_MCWDT_GetClearOnMatch</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__mcwdt__enums_1gaf24fe552bfb229753a1306574961f2a7">cy_en_mcwdtctr_t</ref></type>
          <declname>counter</declname>
        </param>
        <briefdescription>
<para>Reports the Clear on match setting for the specified counter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counter</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of the WDT counter. The valid range is [0-1].</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The Clear on match status: 1 = enabled, 0 = disabled.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The match value is not supported by Counter 2. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="712" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="696" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="364" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1gaca650f48c11727f9e5a7f31a5fcb11b2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_MCWDT_SetCascade</definition>
        <argsstring>(MCWDT_STRUCT_Type *base, cy_en_mcwdtcascade_t cascade)</argsstring>
        <name>Cy_MCWDT_SetCascade</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__mcwdt__enums_1ga5839a43ea48c22508e74388c2215b887">cy_en_mcwdtcascade_t</ref></type>
          <declname>cascade</declname>
        </param>
        <briefdescription>
<para>Sets all the counter cascade options. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cascade</parametername>
</parameternamelist>
<parameterdescription>
<para>Sets or clears each of the cascade options.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This API must not be called when the counters are running. Prior to calling this API, the counter must be disabled. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="740" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="732" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="365" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1ga800189be8d7308f4227fb1e4d43d6dc4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__mcwdt__enums_1ga5839a43ea48c22508e74388c2215b887">cy_en_mcwdtcascade_t</ref></type>
        <definition>__STATIC_INLINE cy_en_mcwdtcascade_t Cy_MCWDT_GetCascade</definition>
        <argsstring>(MCWDT_STRUCT_Type const *base)</argsstring>
        <name>Cy_MCWDT_GetCascade</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Reports all the counter cascade option settings. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current cascade option values. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="764" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="756" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="366" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1gaf0a50c23172825fb65c2f2bb4fea61eb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_MCWDT_SetMatch</definition>
        <argsstring>(MCWDT_STRUCT_Type *base, cy_en_mcwdtctr_t counter, uint32_t match, uint16_t waitUs)</argsstring>
        <name>Cy_MCWDT_SetMatch</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__mcwdt__enums_1gaf24fe552bfb229753a1306574961f2a7">cy_en_mcwdtctr_t</ref></type>
          <declname>counter</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>match</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>waitUs</declname>
        </param>
        <briefdescription>
<para>Sets the match comparison value for the specified counter (0 or 1). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counter</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of the WDT counter. The valid range is [0-1].</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>match</parametername>
</parameternamelist>
<parameterdescription>
<para>The value to match against the counter. The valid range is [0-65535] for c0ClearOnMatch (or c1ClearOnMatch) = 0 and [1-65535] for c0ClearOnMatch (or c1ClearOnMatch) = 1.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The match value is not supported by Counter 2.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Action on match is taken on the next increment after the counter value equal to match value.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>waitUs</parametername>
</parameternamelist>
<parameterdescription>
<para>The function waits for some delay in microseconds before returning, because the match affects after two lf_clk cycles pass. The recommended value is 93 us. </para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Setting this parameter to a zero means No wait. This must be taken into account when changing the match values on the running counters. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="815" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="800" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="367" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1ga478fe2fb91d122511d5805eabe7cbb97" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_MCWDT_GetMatch</definition>
        <argsstring>(MCWDT_STRUCT_Type const *base, cy_en_mcwdtctr_t counter)</argsstring>
        <name>Cy_MCWDT_GetMatch</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__mcwdt__enums_1gaf24fe552bfb229753a1306574961f2a7">cy_en_mcwdtctr_t</ref></type>
          <declname>counter</declname>
        </param>
        <briefdescription>
<para>Reports the match comparison value for the specified counter (0 or 1). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counter</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of the WDT counter. The valid range is [0-1].</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The match values are not supported by Counter 2.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="return"><para>A 16-bit match value. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="847" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="837" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="368" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1ga038dc9c62219cdd225d194e93b26678d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_MCWDT_SetToggleBit</definition>
        <argsstring>(MCWDT_STRUCT_Type *base, uint32_t bit)</argsstring>
        <name>Cy_MCWDT_SetToggleBit</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>bit</declname>
        </param>
        <briefdescription>
<para>Sets a bit in Counter 2 to monitor for a toggle. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>bit</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter 2 bit is set to monitor for a toggle. The valid range [0-31].</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This API must not be called when counters are running. Prior to calling this API, the counter must be disabled. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="872" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="867" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="369" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1gab0f889d8699b065ea682537959d2a59d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_MCWDT_GetToggleBit</definition>
        <argsstring>(MCWDT_STRUCT_Type const *base)</argsstring>
        <name>Cy_MCWDT_GetToggleBit</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Reports which bit in Counter 2 is monitored for a toggle. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The bit that is monitored (range 0 to 31). </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="891" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="888" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="370" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1ga82cd9aad79c9faf18b7a5ada22c3f7d3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_MCWDT_GetCount</definition>
        <argsstring>(MCWDT_STRUCT_Type const *base, cy_en_mcwdtctr_t counter)</argsstring>
        <name>Cy_MCWDT_GetCount</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__mcwdt__enums_1gaf24fe552bfb229753a1306574961f2a7">cy_en_mcwdtctr_t</ref></type>
          <declname>counter</declname>
        </param>
        <briefdescription>
<para>Reports the current counter value of the specified counter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counter</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of the WDT counter. The valid range is [0-2].</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A live counter value. Counters 0 and 1 are 16-bit counters and Counter 2 is a 32-bit counter. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="935" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="911" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="371" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1gac33b66c4254ceb468ecc48098b00e8c1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_MCWDT_ResetCounters</definition>
        <argsstring>(MCWDT_STRUCT_Type *base, uint32_t counters, uint16_t waitUs)</argsstring>
        <name>Cy_MCWDT_ResetCounters</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>counters</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>waitUs</declname>
        </param>
        <briefdescription>
<para>Resets all specified counters. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counters</parametername>
</parameternamelist>
<parameterdescription>
<para>OR of all counters to reset. See the <ref kindref="member" refid="group__group__mcwdt__macros_1gadb87c7b323120f1297143824fd7cded7">CY_MCWDT_CTR0</ref>, CY_MCWDT_CTR1, and CY_MCWDT_CTR2 macros.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>waitUs</parametername>
</parameternamelist>
<parameterdescription>
<para>The function waits for some delay in microseconds before returning, because a reset occurs after one lf_clk cycle passes. The recommended value is 62 us. </para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function resets the counters two times to prevent the case when the Counter 1 is not reset when the counters are cascaded. The delay waitUs must be greater than 100 us when the counters are cascaded. The total delay is greater than 2*waitUs because the function has the delay after the first reset. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Setting this parameter to a zero means No wait. In this case, it is the user's responsibility to check whether the selected counters were reset immediately after the function call. This can be done by the &lt;a href="group__group__mcwdt__functions.html#group__group__mcwdt__functions_1ga82cd9aad79c9faf18b7a5ada22c3f7d3"&gt;Cy_MCWDT_GetCount()&lt;/a&gt; API. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="984" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="966" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="372" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1ga6b294ace730b2fcbbf2d53d3685180a6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_MCWDT_GetInterruptStatus</definition>
        <argsstring>(MCWDT_STRUCT_Type const *base)</argsstring>
        <name>Cy_MCWDT_GetInterruptStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Reports the state of all MCWDT interrupts. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The OR'd state of the interrupts. See the <ref kindref="member" refid="group__group__mcwdt__macros_1gadb87c7b323120f1297143824fd7cded7">CY_MCWDT_CTR0</ref>, CY_MCWDT_CTR1, and CY_MCWDT_CTR2 macros. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1004" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="1001" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="373" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1gab67a5413817743fcd829028da227ad4b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_MCWDT_ClearInterrupt</definition>
        <argsstring>(MCWDT_STRUCT_Type *base, uint32_t counters)</argsstring>
        <name>Cy_MCWDT_ClearInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>counters</declname>
        </param>
        <briefdescription>
<para>Clears all specified MCWDT interrupts. </para>        </briefdescription>
        <detaileddescription>
<para>All the WDT interrupts must be cleared by the firmware; otherwise interrupts are generated continuously.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure describes registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counters</parametername>
</parameternamelist>
<parameterdescription>
<para>OR of all interrupt sources to clear. See the <ref kindref="member" refid="group__group__mcwdt__macros_1gadb87c7b323120f1297143824fd7cded7">CY_MCWDT_CTR0</ref>, CY_MCWDT_CTR1, and CY_MCWDT_CTR2 macros. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1030" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="1024" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="374" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1gab9cc0d06889d45876cac4876b865e114" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_MCWDT_SetInterrupt</definition>
        <argsstring>(MCWDT_STRUCT_Type *base, uint32_t counters)</argsstring>
        <name>Cy_MCWDT_SetInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>counters</declname>
        </param>
        <briefdescription>
<para>Sets MCWDT interrupt sources in the interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counters</parametername>
</parameternamelist>
<parameterdescription>
<para>OR of all interrupt sources to set. See the <ref kindref="member" refid="group__group__mcwdt__macros_1gadb87c7b323120f1297143824fd7cded7">CY_MCWDT_CTR0</ref>, CY_MCWDT_CTR1, and CY_MCWDT_CTR2 macros. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1052" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="1047" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="375" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1ga86bedf42a58f28a08bb8368d155a5563" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_MCWDT_GetInterruptMask</definition>
        <argsstring>(MCWDT_STRUCT_Type const *base)</argsstring>
        <name>Cy_MCWDT_GetInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the CWDT interrupt mask register. </para>        </briefdescription>
        <detaileddescription>
<para>This register specifies which bits from the MCWDT interrupt request register will trigger an interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The OR'd state of the interrupt masks. See the <ref kindref="member" refid="group__group__mcwdt__macros_1gadb87c7b323120f1297143824fd7cded7">CY_MCWDT_CTR0</ref>, CY_MCWDT_CTR1, and CY_MCWDT_CTR2 macros. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1073" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="1070" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="376" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1gaeaa26b488af90a877760cffc61ad08e3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_MCWDT_SetInterruptMask</definition>
        <argsstring>(MCWDT_STRUCT_Type *base, uint32_t counters)</argsstring>
        <name>Cy_MCWDT_SetInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>counters</declname>
        </param>
        <briefdescription>
<para>Writes MCWDT interrupt mask register. </para>        </briefdescription>
        <detaileddescription>
<para>This register configures which bits from MCWDT interrupt request register will trigger an interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counters</parametername>
</parameternamelist>
<parameterdescription>
<para>OR of all interrupt masks to set. See <ref kindref="member" refid="group__group__mcwdt__macros_1gadb87c7b323120f1297143824fd7cded7">CY_MCWDT_CTR0</ref>, CY_MCWDT_CTR1, and CY_MCWDT_CTR2 macros. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1096" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="1091" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="377" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1gaaa998a0ecd6a11e77d25abaf0cb5af37" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_MCWDT_GetInterruptStatusMasked</definition>
        <argsstring>(MCWDT_STRUCT_Type const *base)</argsstring>
        <name>Cy_MCWDT_GetInterruptStatusMasked</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the MCWDT interrupt masked request register. </para>        </briefdescription>
        <detaileddescription>
<para>This register contains the logical AND of corresponding bits from the MCWDT interrupt request and mask registers. In the interrupt service routine, this function identifies which of the enabled MCWDT interrupt sources caused an interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes registers.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current status of enabled MCWDT interrupt sources. See the <ref kindref="member" refid="group__group__mcwdt__macros_1gadb87c7b323120f1297143824fd7cded7">CY_MCWDT_CTR0</ref>, CY_MCWDT_CTR1, and CY_MCWDT_CTR2 macros. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1120" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="1117" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="378" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1ga2c7f8cc4f0897618bb6c4b3389357086" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_MCWDT_GetCountCascaded</definition>
        <argsstring>(MCWDT_STRUCT_Type const *base)</argsstring>
        <name>Cy_MCWDT_GetCountCascaded</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Reports the current value of combined C1-C0 cascaded counters. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes the registers.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The user must enable both counters, and cascade C0 to C1, before calling this function. C2 is not reported. Instead, to get a 64-bit C2-C1-C0 cascaded value, the user must call this function followed by Cy_MCWDT_GetCount(base, CY_MCWDT_COUNTER2), and then combine the results. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function does not return the correct result when it is called after the &lt;a href="group__group__mcwdt__functions.html#group__group__mcwdt__functions_1ga90f8d4636fc67fc8abe3bfd87ab521ac"&gt;Cy_MCWDT_Enable()&lt;/a&gt; or &lt;a href="group__group__mcwdt__functions.html#group__group__mcwdt__functions_1gac33b66c4254ceb468ecc48098b00e8c1"&gt;Cy_MCWDT_ResetCounters()&lt;/a&gt; function with a delay less than two lf_clk cycles. The recommended waitUs parameter value is 100 us.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="return"><para>The value of combined C1-C0 cascaded counters. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="205" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_mcwdt.c" bodystart="137" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="379" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>